net.sf.jasperreports.charts.base

## Class JRBaseValueDisplay

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBaseValueDisplay

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRValueDisplay, JRCloneable
  Direct Known Subclasses:
    JRDesignValueDisplay

      public class JRBaseValueDisplay
      extends java.lang.Object
      implements JRValueDisplay, java.io.Serializable

  An immutable representation of the formatting options for showing the value of a value dataset. Used by charts that display a single value, such as a Meter or Thermometer.
  Version:
    $Id: JRBaseValueDisplay.java 7088 2014-05-12 15:56:44Z lucianc $
  Author:
    Barry Klawans (bklawans@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRChart` | `chart`
    `protected java.awt.Color` | `color` The color to use when writing the value.
    `protected JRFont` | `font` The font to use when writing the value.
    `protected java.lang.String` | `mask` The formatting mask to use when writing the value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseValueDisplay(JRValueDisplay valueDisplay, JRBaseObjectFactory factory)` Constructs a copy of an existing value format specification and registers any expression in the new copy with the specified factory.
    `JRBaseValueDisplay(JRValueDisplay valueDisplay, JRChart chart)` Constructs a copy of an existing value format specification.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRBaseValueDisplay` | `clone(JRChart parentChart)`
    `void` | `collectExpressions(JRExpressionCollector collector)` Adds all the expression used by this plot with the specified collector.
    `JRChart` | `getChart()`
    `java.awt.Color` | `getColor()` Returns the color to use when writing the value.
    `JRFont` | `getFont()` Returns the font to use when writing the value.
    `java.lang.String` | `getMask()` Returns the formatting mask to use when writing the value.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chart

          protected JRChart chart

    - #### color

          protected java.awt.Color color

      The color to use when writing the value.

    - #### mask

          protected java.lang.String mask

      The formatting mask to use when writing the value. Must a pattern that is accepted by a code>java.text.DecimalFormat object.

    - #### font

          protected JRFont font

      The font to use when writing the value.

  - ### Constructor Detail

    - #### JRBaseValueDisplay

          public JRBaseValueDisplay(JRValueDisplay valueDisplay,
                            JRChart chart)

      Constructs a copy of an existing value format specification.
      Parameters:
        `valueDisplay` - the value formatting object to copy
        `chart` - the parent chart

    - #### JRBaseValueDisplay

          public JRBaseValueDisplay(JRValueDisplay valueDisplay,
                            JRBaseObjectFactory factory)

      Constructs a copy of an existing value format specification and registers any expression in the new copy with the specified factory.
      Parameters:
        `valueDisplay` - the value formatting object to copy
        `factory` - the factory object to register expressions with

  - ### Method Detail

    - #### getChart

          public JRChart getChart()

      Specified by:
        `getChart` in interface `JRValueDisplay`

    - #### getColor

          public java.awt.Color getColor()

      Description copied from interface: `JRValueDisplay`
      Returns the color to use when writing the value.
      Specified by:
        `getColor` in interface `JRValueDisplay`
      Returns:
        the color to use when writing the value

    - #### getMask

          public java.lang.String getMask()

      Description copied from interface: `JRValueDisplay`
      Returns the formatting mask to use when writing the value. The mask will be specified using the patterns defined in `java.text.DecimalFormat`.
      Specified by:
        `getMask` in interface `JRValueDisplay`
      Returns:
        the formatting mask to use when writing the value

    - #### getFont

          public JRFont getFont()

      Description copied from interface: `JRValueDisplay`
      Returns the font to use when writing the value.
      Specified by:
        `getFont` in interface `JRValueDisplay`
      Returns:
        the font to use when writing the value

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Adds all the expression used by this plot with the specified collector. All collected expression that are also registered with a factory will be included with the report is compiled.
      Parameters:
        `collector` - the expression collector to use

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### clone

          public JRBaseValueDisplay clone(JRChart parentChart)

      Specified by:
        `clone` in interface `JRValueDisplay`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com